#ifndef __FOLDERPLAYVIEWUI_h__
#define __FOLDERPLAYVIEWUI_h__

// INCLUDES
#include <w32adll.h>

#include <aknappui.h>
#include <AknToolbar.h>
#include <AknToolbarObserver.h>

#include <mpxpskeyobserver.h>

#include "Sbl_Anim.h"

// FORWARD DECLARATIONS
class CGulIcon;
class CFolderView;
class CMPXEqualizerView;
class CMPXPSKeyWatcher;

class CFolderPlayAppUi : public CAknAppUi,
			public MAknToolbarObserver,
                        public MMPXPSKeyObserver
{
public:
	// Constructors and destructor

	void ConstructL();

	CFolderPlayAppUi(RWsSession& aWs);

	virtual ~CFolderPlayAppUi();

	void SendBoolCmdToAnimDll(TInt aCmd, TBool aPar);

private:
	// Functions from base classes

	void HandleCommandL(TInt aCommand);
	void HandleWsEventL(const TWsEvent& aEvent, CCoeControl* aDestination);
	
	virtual void OfferToolbarEventL(TInt aCommand);

	void DynInitMenuPaneL(TInt aResourceId, CEikMenuPane* aMenuPane);

	/**
	 *  HandleStatusPaneSizeChange.
	 *  Called by the framework when the application status pane size is changed.
	 */
	void HandleStatusPaneSizeChange();

    /**
    * From MMPXPSKeyObserver
    * Handle PS event
    *
    * @param aUid The UID that identifies the property category
    * @param aKey The property sub-key
    */
	void HandlePSEvent(TUid aUid, TInt aKey);

	void DisplayDialog(TInt aTitle, TInt aText);

	void GetFmTxState();

public:
	TBool		iDolbySupported;
        TBool		iDolbyState;

	TBool		iFM_TX_Supported;
	TBool		iFmTxActivity;

        TBool		iCaptureHwrKeys;

private:
	RFs			iFs;

	// Data
	CAknToolbar* iToolBar; // not own

	CFolderView*		iAppView;

	CMPXEqualizerView*	iEqView;

	RWsSession&  iWs;
	RAnimDll     iClientDll;
	RSblAnim*    iSblAnim;

	TBool		iIsVoiceKey;

    CMPXPSKeyWatcher* iKeyObserver; // owned

    CMPXPSKeyWatcher* iFM_TX_KeyObserver;
};

#endif // __FOLDERPLAYVIEWUI_h__
// End of File
