#ifndef SIMPLEAUDIOPLAYER_H
#define SIMPLEAUDIOPLAYER_H

#include <MdaAudioSamplePlayer.h>

#include "EffectEngine.h"

class CFolderView;
//class CAudioEffectEngine;

class CSimpleAudioPlayer : public CBase,
			public MMdaAudioPlayerCallback,
			public MMyDolbyHeadphoneObserver2
{
public: // Constructors and destructor
	static CSimpleAudioPlayer* NewL(CFolderView& aParent);
	~CSimpleAudioPlayer();

	void PlayL(const TDesC& aFileName);
	void Resume();
	void Pause();
	void Stop();

	void SetVolume(TInt aVol);

	TInt RefreshPos();
	
private:
	CSimpleAudioPlayer(CFolderView& aParent);
	void ConstructL();

	// From MMdaAudioPlayerCallback
	void MapcInitComplete(TInt aError, const TTimeIntervalMicroSeconds& aDuration);
	void MapcPlayComplete(TInt aError);

	void Start();

	void Stop2();
	void StopPost();

	void DolbyChange2(TBool aState);

public:
	CAudioEffectEngine*	iAudioEffects;

	CMdaAudioPlayerUtility* iPlayer;

private: // Member variables
	CFolderView&		iParent;

	TBool			iStarting;
	TBool			iResumeRefresh;
};

#endif // SIMPLEAUDIOPLAYER_H

// End of File
